
\begin{itemize}
\item Geography-based motivations -- This category considers
  motivations that are driven by the center’s geographic region.  For
  example, some geographic regions may have energy constraints,
  forcing the center to accommodate limits to peak power drawn or
  fluctuations in power availability.
\item Center-specific motivations -- This category considers
  motivations that are related to the center’s particular objectives.
  These objectives might be related to machine stability, utilization,
  or resource efficiency.  Alternatively, these motivations might be
  related to the center’s specific mission and/or driven directly by
  system users as they pursue this mission, particularly weighted
  toward motivations imposed by the center’s funding agency.
  Considerations such as whether the center is oriented toward
  “capability” jobs or toward “capacity” jobs fall into this category.
  Finally, the center may be part of a larger organization (e.g., a
  supercomputing center located on a laboratory campus) and the center
  may have the responsibility of ensuring that its systems consume
  energy in a way that does not impact other energy consumers within
  the organization (e.g., large experimental apparatus such as
  particle accelerators, etc.).

% Sid: The following reads less like a "motivation" and more
  % like an "engineering" approach, and so this
  % deserves a separate section.
% \item System-oriented motivations -- This category considers
%   motivations that are related to the supercomputing system itself.
%   Many of these motivations involve leveraging capabilities for
%   managing energy and power that are built into the system hardware or
%   system software by the vendor.  In some cases, these system-specific
%   capabilities are integrated with other energy and power management
%   capabilities that exist within the center’s physical plant.
\end{itemize}
  
The following subsections investigate each of these motivations in greater detail.


%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

\subsubsection{Geography-based Motivations}
\label{sec:Analysis:Geography}

First we are going to look at the geographic or administrative
differences. Out of the 9 sites surveyed all have EPA JSRM on their
roadmap for upcoming machines or included in for future designs. The
motivation for having JSRM differs by region and
administration. Heavily influenced sites in this categories are the
three Japanese centers. They have to enforce a limited power draw
during the summer months and during day time and can lift their power
restrictions during night time. This has been seen in all of these
centers and important to notice is not the special circumstances of
these selected centers, but are there circumstances that can lead
other centers into this mode of operation, like weather or changes in
power demand and supply of a region. [Does this sentence belong into 5?]

Another regional specific constraint is LRZ’s, where the government
buys only green energy to power the center. Since green energy is more
costly the center should run efficiently. Also running on green energy
but inefficiently is not green either. Thus energy efficiency is
prioritized.  These geographical and administrative considerations
heavily influence how JSRM is approached since it is already a
critical part of the system to be operational.

The other centers incentives do not have regional or administrative
restrictions thus their approach to JSRM is developing strategies if
these problems arise out of necessity or by similar restrictions.

[THE FOLLOWING TABLE AND SUBSUBSECTIONS ARE GRID-INTEGRATION
  DISCUSSION THAT SID PULLED IN -- PROBABLY TOO MUCH INFORMATION, SO
  IT NEEDS TO BE CUT DOWN, BUT I’D ARGUE THIS IS IN THE RIGHT PLACE]

Table 1 summarizes the different approaches along with their
challenges, as reported by the participating sites. It must be noted
that the use of these approaches are not mutually exclusive: some of
the participating sites have reported using a combination of these
techniques. They are briefly discussed below.


\subsubsection{Center-specific Motivations}
\label{sec:Analysis:Center}

This section highlights behaviors, design choices and characteristics
which derives from center specific motivations. We believe that the
variety of sites surveyed is important because it gives a broad
perspective of the state of the art based on a variety of
circumstances allowing to isolate commonalities and differences which
can be directly linked to the center mission and founding agency. That
is to say, some sites are operating in a more constrained fashion in
terms of space or energy availability while other sites have more
freedom in these regards.  However, all sites believe that JSRM is an
important part of their operations and have invested in some way into
developing JSRM capabilities.[1]

The motivation for developing and using energy or power aware job
scheduling and resource management are largely due to costs and
efficiency, and can be divided into five more specific groups: for
some centers the large system sizes require power capping either due
to external (1) or internal (2) requirements. For some centers these
restrictions are already the case, others want to be prepared since
they anticipate being bound by these external or internal requirements
(3). A major influence is also where the funding agency wants to spend
their money on. Operational costs should be reduced, to be able to
acquire more computational resources and spend less on infrastructure
(4). One center explicitly stated the desire to be green, which is an
incentive passed down from government (5), which is not directly
linked to cost.[1]
 
The funding of the centers brings us to the aspect of center
goals. All centers have the goal of providing computational resources
to their users. Slight differences in the approach to that also
manifest in how JSRM is approached.
 
Three main groups can be identified: (1) centers that collect and
measure data and provide statistics to the user to educate them for
energy awareness, (2) centers that are using power capping or energy
management as a safety feature to operate in well-defined ranges and
centers using monitoring and capping, and (3) centers that are using
these capabilities for optimization.[2] [3]

[4] All centers are concerned about uptime and stability of the
system. The main goal after this essential goal is utilization for all
centers. If the required stability and utilization is given,
efficiency of spent resources is considered. If any of the solutions
jeopardizes a higher-level goal the solution will not be put into
production until these issues are fixed. [5]
 
Since the centers goal is to provide a computational resource to the
user, there are different approaches to user involvement. Some centers
try to include the users in the energy awareness considerations. These
make usage statistics available to educate the user (CEA) while others
try to optimized without the user involvement or even awareness. There
is also a difference if the user operation is impacted (frequency
setting for optimal operation) or just their system view (shutting
down nodes).
 
With the administrative restrictions mentioned in Section 4.1, a
time-frame is given. Some centers evaluate their JSRM approach while
either having them on smaller systems while the ones already with such
restrictions use them actively.[6] The outlook towards exascale and
future energy consumption drives a lot of the considerations. But this
makes also aware that the solutions have to be robust for the scales
and technologies of future systems.
 
Closely coupled with administrative restrictions is the funding
source. Centers are either University HPC centers, Government HPC
Research Centers or Energy/Defence HPC Centers. Even if all this
funding is from public sources there are differences in allocation and
spending. [Is there a better division or categorization?] The type of
funding also has impact on the general classes of users of the system.
 
University HPC centers, such as KAUST, JCAHPC (University of Tsukuba
and the University of Tokyo), Tokyo Institute of Technology, can be
categorized to have slightly smaller centers, with a strict
budget. They often tie into a larger research infrastructure and have
to obey the restrictions given by this environment. Their focus on
JSRM is thus either due to the operating in this ‘at times restricted’
environment or operating using the given budget. Even if these centers
rely on vendor involvement, a lot them have projects doing research
driving JSRM itself.
 
HPC Research Centers such as STFC, LRZ, Cineca, are centers with their
major energy draw from their largest HPC system. Even with several
other systems and services provided at the center the major
contributor is the centers flagship resource. These centers heavily
rely on the vendors and have a strong focus on spending their budget
aware of the public funding thus driving efficiency. Most of these
centers participate in research but the focus is on having a
operational JSRM solution, not necessarily to drive this research
unless it is critical.
 
Energy/Defence HPC Centers such as Trinity, CEA have a stronger focus
on uptime availability and driving the scientific mission. The budget
is a means to achieve that and efficiency in terms of power and energy
is a long-term goal as long as the other goals can be met and the
users of the centers do their work. (This is not to say that the other
centers do not have this as a goal, but it is not reflected in their
approach to JSRM.)



[Old Text Follows]

The motivation for developing and using energy or power aware job scheduling and resource management are largely due to costs and efficiency, and can be divided into five more specific groups: for some centers the large system sizes require power capping either due to external (1) or internal (2) requirements. For some centers these restrictions are already the case, others want to be prepared since they anticipate being bound by these external or internal requirements (3). A major influence is also where the funding agency wants to spend their money on. Operational costs should be reduced, to be able to acquire more computational resources and spend less on infrastructure (4). One center explicitly stated the desire to be green, which is a incentive passed down from government (5), which is not directly linked to cost.

We believe that the variety of sites surveyed is important because it gives a broad perspective of the state of the art based on a variety of circumstances.  That is to say, some sites are operating in a more constrained fashion in terms of space or energy availability while other sites have more freedom in these regards.  However, all sites believe that JSRM is an important part of their operations and have invested in some way into developing JSRM capabilities.

[Used to be in SECTION 3.4]
Three main groups can be identified: (1) centers that collect and measure data and provide statistics to the user to educate them for energy awareness, (2) centers that are using power capping or energy management as a safety feature to operate in well defined ranges and centers using monitoring and capping, and (3) centers that are using these capabilities for optimization.

The funding of the centers bring us to the aspect of center goals. All centers have the goal of providing computational resources to their users. Slight differences in the approach to that also manifest in how JSRM is approached.

All centers are concerned about uptime and stability of the system. The main goal after this essential goal is utilization for all centers. If the required stability and utilization is given, efficiency of spent resources is considered. If any of the solutions jeopardizes a higher level goal the solution will not be put into production until these issues are fixed. 

With the administrative restrictions mentioned in Section 4.1, a time-frame is given. Some centers evaluate their JSRM approach while either having them on smaller systems while the ones already with such restrictions use them actively. The outlook towards exascale and future energy consumption drives a lot of the considerations. But this makes also aware that the solutions have to be robust for the scales and technologies of future systems. [Way to general…. This should be in 5 or left out...]




Since the centers goal is to provide a computational resource to the
user, there are different approaches to user involvement. Some centers
try to include the users in the energy awareness considerations. These
make usage statistics available to educate the user (CEA) while others
try to optimized without the user involvement or even awareness. There
is also a difference if the user operation is impacted (frequency
setting for optimal operation) or just their system view (shutting
down nodes).

Closely coupled with administrative restrictions is the funding source. Centers are either University HPC centers, Government HPC Research Centers or Energy/Defence HPC Centers. Even if all this funding is from public sources there are differences in allocation and spending. [Is there a better division or categorization?] The type of funding also has impact on the general classes of users of the system.

University HPC centers, such as KAUST, JCAHPC (University of Tsukuba and the University of Tokyo), Tokyo Institute of Technology, can be categorized to have slightly smaller centers, with a strict budget. They often tie into a larger research infrastructure and have to obey the restrictions given by this environment. Their focus on JSRM is thus either due to the operating in this ‘at times restricted’ environment or operating using the given budget. Even if these centers rely on vendor involvement, a lot them have projects doing research driving JSRM itself. 

HPC Research Centers such as STFC, LRZ, Cineca, are centers with their major energy draw from their largest HPC system. Even with several other systems and services provided at the center the major contributor is the centers flagship resource. These centers heavily rely on the vendors and have a strong focus on spending their budget aware of the public funding thus driving efficiency. Most of these centers participate in research but the focus is on having a operational JSRM solution, not necessarily to drive this research unless it is critical.

Energy/Defence HPC Centers such as Trinity, CEA have a stronger focus on uptime availability and driving the scientific mission. The budget is a means to achieve that and efficiency in terms of power and energy is a long term goal as long as the other goals can be met and the users of the centers do their work. (This is not to say that the other centers do not have this as a goal, but it is not reflected in their approach to JSRM.)



The consideration if a system is mainly used as capability machine or capacity system also impacts the approach on Energy Efficiency considerations in JSRM. Centers that run 

As observable from the responses, there is a large difference on how resources in HPC centers are used.  Some centers pack capability jobs and capacity jobs on the same system to maximize utilization, others have dedicated systems with the largest system dedicated to capability while smaller resources are used for capacity.  This differs depending on the main user profile.  Academic research institutions in general run a single large system while trying to maximize utilization and fairness (RIKEN, Tokyo Institute of Technology, KAUST, LRZ, and JCAHPC).  The centers dedicated to a specific user group, such as national atomic energy research, provide their resource with high priority to that specific user group (Trinity, STFC, CEA).

Vendor Involvement [paragraph]
Center size and impact of the major system. [Paragraph]
Integration with other energy management [Paragraph]

Idle power consumption basically limits the best you can do with JSRM techniques.(Maximum Power Delta)




Table 4.1: Summary of supercomputing site power budgets, major HPC systems, and power draw


This section is the analysis of the survey responses.  Look specifically for the following two important things: (1) are there any common characteristics that all sites do, or that a majority of the sites do, or that all of the sites that share some common way of operating (e.g., they’re all in the same country or geographic region, or they all have a common way of using their machine such as Capability or Capacity), and (2) are there any one-off JSRM implementations that are particularly noteworthy or interesting, especially if we can report something about the site that other sites or vendors could learn to improve the state of the art.

[THIS PARAGRAPH MAY GO BETTER IN THE SUBSECTION ABOUT CENTER GOALS, ALTHOUGH WOULD FIT HERE IF WE BRING INTO THE DISCUSSION SOME NOTION OF TOPOLOGY]
As we have seen above (i.e., Question 6) the development of application aware optimization is hard to implement since these efforts can take away major development resources from the users. Having an underlying system that uses application information without user involvement is key to solving this issue. Otherwise users need strong incentives to allocate their man-hour resources to do this additional work.

[This is a good place for some Figures that are graphs of interesting trends in the results.  Let’s do some thinking about what these Figures might look like.]
[Scaling, Stability, other concerns, Power is moving to secondary, anticipation towards next machine][Power monitoring developments go hand in hand with general application monitoring]




[THESE ARE NOTES SOMEONE DEPOSITED HERE -- FIGURE OUT WHERE IN THE PREVIOUS SECTIONS THEY MIGHT FIT]
←--------- add text related to Grid integration -- “use JSRM solutions to tackle power fluctuations”All 9 sites are motivated by EPA JSRM as part of a general agenda for energy efficiency and ecological conservation.
8 out of 9 sites use EPA JSRM are motivated to have the ability to power cap. (LRZ exception)
4 out of 9 sites are motivated to optimize HPC system output relative to infrastructure (overprovisioned).  JCAHPC, Riken, Cineca and KAUST.
All three Japanese sites are motivated to be able to power cap for the common good in extreme cases, like the 2011 tsunami.

Description of datacenter and HPC system:
Geography.  3 Japan, 4 Europe and only 1 in US.
Power capacity:  4/9 are ~5MW, 2/9 are 10MW, 2/9 are ~20MW and one is 2MW

JSRM Goals:
Fair share and system utilization - 9/9
Power constraint - 2/9 (Riken and Tokyo Institute of Technology)
Energy efficiency - 1/9 (LRZ)



4.5. EPA-JSRM solutions adopted by HPC centers


